Get partner account info
curl --request GET \
--url https://api.hypermid.io/v1/partner/me \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypermid.io/v1/partner/me"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypermid.io/v1/partner/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "partner_abc123",
"name": "My DeFi App",
"email": "dev@mydefiapp.com",
"feeTier": {
"swapFeeBps": 15,
"onrampFeeBps": 50
},
"rateLimit": {
"requestsPerMinute": 2000
},
"webhooksEnabled": true,
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-06-20T14:45:00Z"
},
"error": null,
"meta": {
"requestId": "w3f4a5b6-c7d8-9012-6789-123456789012",
"timestamp": 1711234581,
"rateLimit": {
"limit": 2000,
"remaining": 1977,
"reset": 1711234627
}
}
}
Partner
Get Partner Profile
Retrieve your partner account details
GET
/
v1
/
partner
/
me
Get partner account info
Returns the authenticated partner’s profile, including account settings, fee tier, and rate limits. Requires a valid API key.
{
"data": {
"id": "partner_abc123",
"name": "My DeFi App",
"email": "dev@mydefiapp.com",
"feeTier": {
"swapFeeBps": 15,
"onrampFeeBps": 50
},
"rateLimit": {
"requestsPerMinute": 2000
},
"webhooksEnabled": true,
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-06-20T14:45:00Z"
},
"error": null,
"meta": {
"requestId": "w3f4a5b6-c7d8-9012-6789-123456789012",
"timestamp": 1711234581,
"rateLimit": {
"limit": 2000,
"remaining": 1977,
"reset": 1711234627
}
}
}
const me = await client.getPartnerProfile();
console.log("Partner:", me.data.name);
console.log("Swap fee:", me.data.feeTier.swapFeeBps, "bps");
console.log("Rate limit:", me.data.rateLimit.requestsPerMinute, "req/min");
curl https://api.hypermid.io/v1/partner/me \
-H "X-API-Key: your-api-key"
req, _ := http.NewRequest("GET",
"https://api.hypermid.io/v1/partner/me", nil)
req.Header.Set("X-API-Key", "your-api-key")
resp, _ := http.DefaultClient.Do(req)
This endpoint requires authentication. Anonymous requests will receive a
401 UNAUTHORIZED error.⌘I